--------------------------------------------------------------------------------
--                TRIGGER DEL MDUL ESTADISTIC.  Consultes 1 i 2
--  S'encarrega de donar resposta a les consultes del nmero total de 
--  descrregues a la plataforma i dels euros generats fins al moment.
--------------------------------------------------------------------------------

CREATE OR REPLACE TRIGGER Estad_1_2_Descarregues_Euros
AFTER INSERT OR DELETE OR UPDATE ON DESCARREGA
FOR EACH ROW

DECLARE
  v_usuaris NUMBER;
  v_aplicacions NUMBER;
  
BEGIN
  
  IF INSERTING THEN
      UPDATE ESTADISTICA SET valor=valor+1 
      WHERE codiestadistica=1;
      IF SQL%NOTFOUND THEN
        INSERT INTO ESTADISTICA (codiestadistica, valor) VALUES (1,1);
      END IF;
    
      UPDATE ESTADISTICA SET valor=valor+:new.preu 
      WHERE codiestadistica=2;
      IF SQL%NOTFOUND THEN
        INSERT INTO ESTADISTICA (codiestadistica, valor) VALUES (2,:new.preu);
      END IF;

  ELSIF UPDATING THEN
      UPDATE ESTADISTICA SET valor=valor+:new.preu-:old.preu 
      WHERE codiestadistica=2;    

  ELSIF DELETING THEN
      UPDATE ESTADISTICA SET valor=valor-1
      WHERE codiestadistica=1; 
      UPDATE ESTADISTICA SET valor=valor-:old.preu 
      WHERE codiestadistica=2;
      
  END IF;

END Estad_1_2_Descarregues_Euros; 
/

