DECLARE
    TYPE t_RefCur IS REF CURSOR;
    v_cursor t_RefCur;
    rsp VARCHAR2(255 CHAR);
    Pais PERSONA.pais%TYPE;

    nom PERSONA.nom%TYPE;
    cognoms PERSONA.cognoms%TYPE;
    codidesenvolupador DESENVOLUPADOR.codidesenvolupador%TYPE;
    empresaDesenv EMPRESA.idempresa%TYPE;
    appsDesenvolupades NUMBER;
    adrea PERSONA.adrea%TYPE;
    poblacio PERSONA.poblacio%TYPE;
    telefon PERSONA.telefon%TYPE;
    email PERSONA.email%TYPE;

BEGIN
    consultes.desenvolupadors_pais('&Pais',v_cursor,rsp);
    
    DBMS_OUTPUT.PUT_LINE (RPAD('Nom',12,' ') || '  ' || RPAD('Cognoms',22,' ') || '  ' || 'Codi' || '     '
               || RPAD('   Empresa',18,' ') || '  ' || 'Apps'
                              || '  ' || RPAD('Adrea',30,' ')|| '  ' || RPAD('Poblaci',30,' ') || '  ' || 'Telfon' || '    ' || 'Email');
    DBMS_OUTPUT.PUT_LINE (RPAD('-',170,'-'));     
    LOOP
        FETCH v_cursor INTO  nom, cognoms, codidesenvolupador, empresaDesenv, appsDesenvolupades, adrea, poblacio, telefon, email;
        EXIT WHEN v_cursor%NOTFOUND;
                 
        DBMS_OUTPUT.PUT_LINE (RPAD(nom,12,' ') || '  ' || RPAD(cognoms,22,' ') || '  ' || codidesenvolupador || '  '
               || RPAD(empresaDesenv,18,' ') || '  ' || appsDesenvolupades
                              || '  ' || RPAD(adrea,30,' ')|| '  ' || RPAD(poblacio,30,' ') || '  ' || telefon || '  ' || email);
    END LOOP;
    CLOSE v_cursor;
END;



