DECLARE
    TYPE t_RefCur IS REF CURSOR;
    v_cursor t_RefCur;
    rsp VARCHAR2(255 CHAR);

    idAplicacio APLICACIO.idAplicacio%TYPE;
    versio APLICACIO.versio%TYPE;
    datapujada APLICACIO.datapujada%TYPE;
    url APLICACIO.url%TYPE;
    numDescarregues NUMBER;
    resolucio APLICACIO.resoluciomin%TYPE;
    
BEGIN
    consultes.Aplicacions_Actives(v_cursor,rsp);
    
    DBMS_OUTPUT.PUT_LINE (RPAD('Aplicaci',20,' ') || '  ' || RPAD('Versi',8,' ') || '  ' || RPAD('Num.Desc.',10,' ') || '  '
               || RPAD('Data Pujada',12,' ') || '  ' || RPAD('Res. Mn.',10,' ') || '  ' || RPAD('Url',50,' '));
    DBMS_OUTPUT.PUT_LINE (RPAD('-',120,'-'));     
    LOOP
        FETCH v_cursor INTO  idAplicacio, versio, numDescarregues, datapujada, resolucio, url;
        EXIT WHEN v_cursor%NOTFOUND;
                 
        DBMS_OUTPUT.PUT_LINE (RPAD(idAplicacio,20,' ') || '  ' || RPAD(versio,8,' ') || '  ' || RPAD(numDescarregues,10,' ') || '  '
               || RPAD(datapujada,12,' ') || '  ' || RPAD(resolucio,10,' ') || '  ' || RPAD(url,50,' '));
    END LOOP;
    CLOSE v_cursor;
END;



