DECLARE
resp VARCHAR2(255);

BEGIN
---------------------------------------
-- Altes i modificacions d'aplicacions
---------------------------------------

MantenimentAplicacions.AM_Aplicacio ('H','Spotify','1.4','14/6/12',null,'480x800','1',resp);
DBMS_OUTPUT.PUT_LINE ('Manteniment amb opci incorrecta. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

MantenimentAplicacions.AM_Aplicacio ('a','Tetrix','1.0','14/02/12',null,'480x800','1',resp);
DBMS_OUTPUT.PUT_LINE ('Alta d''una aplicacio. -> ' || resp);

MantenimentAplicacions.AM_Aplicacio ('a','Tetrix','1.0','14/02/12',null,'480x800','1',resp);
DBMS_OUTPUT.PUT_LINE ('Alta d''una aplicacio existent. -> ' || resp);

MantenimentAplicacions.AM_Aplicacio ('a','Spotify','1.4','14/6/12',null,'480-800','1',resp);
DBMS_OUTPUT.PUT_LINE ('Alta amb el format de resoluci incorrecte. -> ' || resp);

MantenimentAplicacions.AM_Aplicacio ('a','Spotify','1.4','14/6/12',null,'480x800','3',resp);
DBMS_OUTPUT.PUT_LINE ('Alta amb el camp ''Activa'' incorrecte. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

MantenimentAplicacions.AM_Aplicacio ('m','Tetrix','2.1','14/03/12',null,'480x800','0',resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci d''una aplicacio. -> ' || resp);

MantenimentAplicacions.AM_Aplicacio ('m','Spotify','1.4','14/6/12',null,'480x800','1',resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci d''una aplicacio que no existeix. -> ' || resp);

MantenimentAplicacions.AM_Aplicacio ('m','Tetrix','2.1','14/03/12',null,'f480x800','0',resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci amb el format de resoluci incorrecte. -> ' || resp);

MantenimentAplicacions.AM_Aplicacio ('m','Tetrix','2.1','14/03/12',null,'480x800','3',resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci amb el camp ''Activa'' incorrecte. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

---------------------------------------
-- Baixes d'aplicacions
---------------------------------------
MantenimentAplicacions.Baixa_Aplicacio ('Tetrix', resp);
DBMS_OUTPUT.PUT_LINE ('Baixa d''una aplicaci -> ' || resp);

MantenimentAplicacions.Baixa_Aplicacio ('Spotify', resp);
DBMS_OUTPUT.PUT_LINE ('Baixa d''una aplicaci que no existeix -> ' || resp);

MantenimentAplicacions.Baixa_Aplicacio ('Photobucket', resp);
DBMS_OUTPUT.PUT_LINE ('Baixa d''una aplicaci que s''ha descarregat -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

----------------------------------------------------------------------------
-- Altes i modificacions de sistemes operatius suportats per les aplicacions
----------------------------------------------------------------------------

MantenimentAplicacions.AM_SistSuportat ('a','Photobucket','iOS 4.x',5,'https://itunes.apple.com/es/app/Photobucket/id7634635878?mt=8',resp);
DBMS_OUTPUT.PUT_LINE ('Alta d''un S.O. suportat. -> ' || resp);

MantenimentAplicacions.AM_SistSuportat ('a','Photobucket','iOS 4.x',5,'https://itunes.apple.com/es/app/Photobucket/id7634635878?mt=8',resp);
DBMS_OUTPUT.PUT_LINE ('Alta d''un S.O. que ja esta suportat per l''aplicaci. -> ' || resp);

MantenimentAplicacions.AM_SistSuportat ('a','Spotify','iOS 4.x',5,'https://itunes.apple.com/es/app/Photobucket/id7634635878?mt=8',resp);
DBMS_OUTPUT.PUT_LINE ('Alta amb aplicaci inexistent -> ' || resp);

MantenimentAplicacions.AM_SistSuportat ('a','Photobucket','Orion 6.1',5,'https://itunes.apple.com/es/app/Photobucketx/id7634635878?mt=8',resp);
DBMS_OUTPUT.PUT_LINE ('Alta amb S.O. inexistent -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

MantenimentAplicacions.AM_SistSuportat ('m','Photobucket','iOS 4.x',523,'https://itunes.apple.com/es/app/Photobucket/id7634635878?mt=45',resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci d''un S.O. suportat. -> ' || resp);

MantenimentAplicacions.AM_SistSuportat ('m','Photobucket','Symbian OS 6.1',77,'https://itunes.apple.com/es/app/Photobucket/id7634635878?mt=8',resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci amb S.O. i aplicacions no relacionades -> ' || resp);

MantenimentAplicacions.AM_SistSuportat ('m','Tetrix','Symbian OS 6.1',77,'https://itunes.apple.com/es/app/Photobucket/id7634635878?mt=8',resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci amb aplicaci inexistent -> ' || resp);

MantenimentAplicacions.AM_SistSuportat ('m','Photobucket','Orion 6.1',77,'https://itunes.apple.com/es/app/Photobucket/id7634635878?mt=8',resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci amb S.O. inexistent -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

----------------------------------------------------------------------------
-- Baixes de sistemes operatius suportats per les aplicacions
----------------------------------------------------------------------------

MantenimentAplicacions.Baixa_SistSuportat ('Photobucket','iOS 4.x',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa d''un S.O. suportat. -> ' || resp);

MantenimentAplicacions.Baixa_SistSuportat ('Photobucket','Symbian OS 6.1',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb S.O. i aplicacions no relacionades. -> ' || resp);

MantenimentAplicacions.Baixa_SistSuportat ('Tetrix','iOS 4.x',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb aplicaci inexistent. -> ' || resp);

MantenimentAplicacions.Baixa_SistSuportat ('Photobucket','iOS 4.x',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb S.O. inexistent.  -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

----------------------------------------------------------------------------
-- Altes i modificacions del preu d'una aplicaci en un pas determinat
----------------------------------------------------------------------------

MantenimentAplicacions.AM_Preu ('a','Photobucket','AD', 3.99, resp);
DBMS_OUTPUT.PUT_LINE ('Alta del preu d''una aplicaci en un pas. -> ' || resp);

MantenimentAplicacions.AM_Preu ('a','Photobucket','AD', 3.99, resp);
DBMS_OUTPUT.PUT_LINE ('Alta ja existent -> ' || resp);

MantenimentAplicacions.AM_Preu ('a','Spotify','ES', 3.99, resp);
DBMS_OUTPUT.PUT_LINE ('Alta del preu amb aplicaci inexistent. -> ' || resp);

MantenimentAplicacions.AM_Preu ('a','Photobucket','ZZ', 3.99, resp);
DBMS_OUTPUT.PUT_LINE ('Alta del preu amb pas inexistent. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

MantenimentAplicacions.AM_Preu ('m','Photobucket','AD', 6.59, resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci del preu d''una aplicaci en un pas -> ' || resp);

MantenimentAplicacions.AM_Preu ('m','Photobucket','AR', 6.59, resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci amb aplicaci i pas no relacionats . -> ' || resp);

MantenimentAplicacions.AM_Preu ('m','Spotify','ES', 6.59, resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci del preu amb aplicaci inexistent. -> ' || resp);

MantenimentAplicacions.AM_Preu ('m','Photobucket','ZZ', 6.59, resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci del preu amb pas inexistent. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

----------------------------------------------------------------------------
-- Baixa del preu d'una aplicaci en un pas determinat
----------------------------------------------------------------------------

MantenimentAplicacions.Baixa_Preu ('Photobucket','AD',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa del preu d''una aplicaci en un pas. -> ' || resp);

MantenimentAplicacions.Baixa_Preu ('Photobucket','AD',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb aplicaci i pas no relacionats. -> ' || resp);

MantenimentAplicacions.Baixa_Preu ('Spotify','AD',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb aplicaci inexistent. -> ' || resp);

MantenimentAplicacions.Baixa_Preu ('Photobucket','ZZ',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb pas inexistent. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

---------------------------------------------------------------------------------
-- Altes i modificacions de la descripci d'una aplicaci en un idioma determinat
---------------------------------------------------------------------------------

MantenimentAplicacions.AM_Descripcio ('a','Word Lens','es', 'Aplicacin para traducir textos en tiempo real', resp);
DBMS_OUTPUT.PUT_LINE ('Alta de la descipci d''una aplicaci amb un idioma. -> ' || resp);

MantenimentAplicacions.AM_Descripcio ('a','Word Lens','es', 'Aplicacin para traducir textos en tiempo real', resp);
DBMS_OUTPUT.PUT_LINE ('Alta ja descrita. -> ' || resp);

MantenimentAplicacions.AM_Descripcio ('a','Spotify','es', 'Aplicacin para escuchar msica', resp);
DBMS_OUTPUT.PUT_LINE ('Alta amb aplicaci no existent. -> ' || resp);

MantenimentAplicacions.AM_Descripcio ('a','Word Lens','zz', 'Aplicacin para traducir textos en tiempo real', resp);
DBMS_OUTPUT.PUT_LINE ('Alta idioma no existent. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

MantenimentAplicacions.AM_Descripcio ('m','Word Lens','es', 'Aplicacin para traducir carteles de textos extranjeros en tiempo real', resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci de la descipci d''una aplicaci amb un idioma. -> ' || resp);

MantenimentAplicacions.AM_Descripcio ('m','Word Lens','ja', 'Aplicacin para traducir carteles de textos extranjeros en tiempo real', resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci amb aplicaci i idioma no relacionats. -> ' || resp);

MantenimentAplicacions.AM_Descripcio ('m','Spotify','es', 'Aplicacin para escuchar msica', resp);
DBMS_OUTPUT.PUT_LINE ('Modificaci amb aplicaci no existent. -> ' || resp);

MantenimentAplicacions.AM_Descripcio ('m','Word Lens','zz', 'Aplicacin para traducir carteles de textos extranjeros en tiempo real', resp);
DBMS_OUTPUT.PUT_LINE ('Alta idioma no existent. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

---------------------------------------------------------------------------------
-- Baixes de la descripci d'una aplicaci en un idioma determinat
---------------------------------------------------------------------------------

MantenimentAplicacions.Baixa_Descripcio ('Word Lens','es',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa de la descipci d''una aplicaci amb un idioma. -> ' || resp);

MantenimentAplicacions.Baixa_Descripcio ('Word Lens','es',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb aplicaci i idioma no relacionats. -> ' || resp);

MantenimentAplicacions.Baixa_Descripcio ('Spotify','es',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb aplicaci no existent. -> ' || resp);

MantenimentAplicacions.Baixa_Descripcio ('Word Lens','zz',resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb idioma inexistent. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

---------------------------------------------------------------------------------
-- Altes i baixes dels desenvolupadors d'una aplicaci
---------------------------------------------------------------------------------

MantenimentAplicacions.AB_Desenvolupada('M','Word Lens','3904ES', resp);
DBMS_OUTPUT.PUT_LINE ('Manteniment amb opci incorrecta. -> ' || resp);

MantenimentAplicacions.AB_Desenvolupada('a','Word Lens','3904ES', resp);
DBMS_OUTPUT.PUT_LINE ('Alta d''un desenvolupador d''una aplicaci. -> ' || resp);

MantenimentAplicacions.AB_Desenvolupada('a','Word Lens','3904ES', resp);
DBMS_OUTPUT.PUT_LINE ('Alta desenvolupador ja registrat. -> ' || resp);

MantenimentAplicacions.AB_Desenvolupada('a','Word Lens','9999ES', resp);
DBMS_OUTPUT.PUT_LINE ('Alta amb desenvolupador inexistent. -> ' || resp);

MantenimentAplicacions.AB_Desenvolupada('a','Spotify','3904ES', resp);
DBMS_OUTPUT.PUT_LINE ('Alta aplicaci inexistent. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

MantenimentAplicacions.AB_Desenvolupada('b','Word Lens','3904ES', resp);
DBMS_OUTPUT.PUT_LINE ('Baixa d''un desenvolupador d''una aplicaci. -> ' || resp);

MantenimentAplicacions.AB_Desenvolupada('b','Word Lens','3904ES', resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb desenvolupador i aplicaci no relacionats. -> ' || resp);

MantenimentAplicacions.AB_Desenvolupada('b','Word Lens','9999ES', resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb desenvolupador inexistent. -> ' || resp);

MantenimentAplicacions.AB_Desenvolupada('b','Spotify','3904ES', resp);
DBMS_OUTPUT.PUT_LINE ('Baixa amb aplicaci inexistent. -> ' || resp);

DBMS_OUTPUT.PUT_LINE ('----------------------------------------------------------------------------------------------------------------------------');

END;

